Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eltima.chart
Class PieRenderer

    java.lang.Object
      com.eltima.chart.PieRenderer

    public class PieRenderer

extends java.lang.Object

The PieRenderer class.

Copyright: Copyright (c) 2000-2007

Company: Eltima Software

Version:
  5.1
Author:
  [SoftInfinity Dpt.]

Constructor Summary
`PieRenderer()` Creates new instance of PieRenderer.

Method Summary
`java.awt.Rectangle` | `getLabelRectangle(java.awt.Rectangle inRect)`
`void` | `paintLegendIco(java.awt.Graphics2D g2, java.awt.Rectangle inRect)`
`void` | `paintSegment(java.awt.Graphics2D g2, java.awt.Rectangle inRect, int category, int series, ELChartDataModel model)` Paint pie segment in specified rectagle.
`void` | `setSeriesModel(SeriesModel model)` Sets the SeriesModel.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PieRenderer

    public PieRenderer()

  Creates new instance of PieRenderer.

Method Detail

### setSeriesModel

    public void setSeriesModel(SeriesModel model)

  Sets the SeriesModel.

  Parameters:
    `model` - SeriesModel

### paintSegment

    public void paintSegment(java.awt.Graphics2D g2,
                             java.awt.Rectangle inRect,
                             int category,
                             int series,
                             ELChartDataModel model)

  Paint pie segment in specified rectagle.

  Parameters:
    `g2` - Graphics2D
    `inRect` - Rectangle
    `series` - int
    `category` - int
    `model` - ELChartDataModel

### paintLegendIco

    public void paintLegendIco(java.awt.Graphics2D g2,
                               java.awt.Rectangle inRect)

### getLabelRectangle

    public java.awt.Rectangle getLabelRectangle(java.awt.Rectangle inRect)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Eltima Software. All Rights Reserved.